Treats bluetooth input device batteries as batteries

Bug #1153488 reported by Jeff Lane on 2013-03-11
260
This bug affects 95 people
Affects Status Importance Assigned to Milestone
gnome-power-manager (Ubuntu)
Low
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
Saucy
Low
Unassigned
upower (Ubuntu)
Low
Martin Pitt
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
Raring
Undecided
Unassigned
Saucy
Low
Martin Pitt

Bug Description

[Impact]

 * There are many Bluetooth devices with battery information inside. When they are treated as system battery, it will make the system poweroff/suspend/hibernate when some Bluetooth device has critical low battery. It is a very annoying behavior for the users. Originally, there is no such Bluetooth battery information until Ubuntu 12.04 brings linux-quantal-lts and linux-raring-lts, so those linux kernels also bring this issue.

[Test Case]

 * Pair some Bluetooth devices, such as Apple Wireless Mouse or Apple Wireless Keyboard.
 * Click the power indicator and you can find Apple Wireless Mouse is listed as system battery, and there is no Apple Wireless Keyboard. If you open gnome-power-statistics, you can find the 'Supply' field of Apple Wireless Mouse is 'Yes' but it should not be.

[Regression Potential]

 * There is no obvious regression as I know.

[Other Info]

 * Most patches are from upstream, modified to fix the conflicts, and made by the same developer (i.e. fourdollars).
 * We need another patch from https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=d0a934b764c67b4bf626f5b7cf725a6e3066afd2 to make Apple Wireless Keyboard showing.

[Original Bug Description]

This is a weird one... the system is an HP Pavilion 23 All In One and is powered by a large power supply brick.

I currently have an Apple Magic Mouse connected via Bluetooth. As soon as the mouse is connected, the Battery indicator shows up and clicking on that shows that the system is reading my mouse as a battery!

See the attached screen shot for what I see in the Power status.

Looking at hcitool:
ubuntu@201206-11396:~$ hcitool dev
Devices:
 hci0 9C:B7:0D:80:71:DB

To make matters even more weird, I actually observed the battery indicator go from full to "Critically Low" and the system suspended itself. Keep in mind, again, that this system has NO battery, it's reading my bluetooth mouse as a battery device.

I disconnected the magic mouse and the battery indicator went to Empty Red outline and status showed Battery Disconnected.

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.5.0-23-generic 3.5.0-23.35~precise1
ProcVersionSignature: Ubuntu 3.5.0-23.35~precise1-generic 3.5.7.2
Uname: Linux 3.5.0-23-generic x86_64
NonfreeKernelModules: wl fglrx
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.25.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Generic [HD-Audio Generic], device 0: ALC269VC Analog [ALC269VC Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 2.0.1-0ubuntu17.1
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Generic [HD-Audio Generic], device 0: ALC269VC Analog [ALC269VC Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1726 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Generic'/'HD-Audio Generic at 0xfeb40000 irq 16'
   Mixer name : 'Realtek ALC269VC'
   Components : 'HDA:10ec0269,103c2aee,00100202'
   Controls : 21
   Simple ctrls : 10
Date: Mon Mar 11 03:54:36 2013
HibernationDevice: RESUME=UUID=ccd7a21f-7a71-4fa5-b95d-e2898c3dae24
InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release amd64 (20130213)
MachineType: Hewlett-Packard a654
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-23-generic root=UUID=e2a5f4ae-dfa2-40be-a6c5-3ddb85dcf68e ro quiet splash initcall_debug vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-23-generic N/A
 linux-backports-modules-3.5.0-23-generic N/A
 linux-firmware 1.79.1
SourcePackage: linux
StagingDrivers: rts_pstor
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/24/2012
dmi.bios.vendor: AMI
dmi.bios.version: 8.08
dmi.board.name: 2AEE
dmi.board.vendor: PEGATRON CORPORATION
dmi.board.version: 1.03
dmi.chassis.type: 3
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnAMI:bvr8.08:bd08/24/2012:svnHewlett-Packard:pna654:pvr:rvnPEGATRONCORPORATION:rn2AEE:rvr1.03:cvnHewlett-Packard:ct3:cvr:
dmi.product.name: a654
dmi.sys.vendor: Hewlett-Packard

Jeff Lane (bladernr) wrote :
Jeff Lane (bladernr) wrote :
Jeff Lane (bladernr) wrote :
Jeff Lane (bladernr) wrote :

additionally, when I turn the mouse off, the battery indicator goes to critically low and I actually sometimes get a Low Battery warning and the system suspends itself. See this shot and you can make out the Critically Low suspend warning I got just before the system suspended itself.

This occurred after I turned the mouse off.

Timo Aaltonen (tjaalton) wrote :

this is not a kernel bug, but in gnome-power-manager

affects: linux (Ubuntu) → gnome-power-manager (Ubuntu)
Changed in gnome-power-manager (Ubuntu):
assignee: Canonical Hardware Enablement Team (canonical-hwe-team) → nobody
Daniel Manrique (roadmr) on 2013-05-26
Changed in gnome-power-manager (Ubuntu):
importance: Undecided → Low
Travis Geis (ottobonn28) wrote :

Please increase the importance of this bug. It affects laptops heavily. The mouse battery shows as the system battery, which incorrectly affects system power management behavior. It makes laptops unusable on battery power.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-power-manager (Ubuntu):
status: New → Confirmed
Shih-Yuan Lee (fourdollars) wrote :

Hi,

I made a patch to fix this issue.
The root cause is in upower instead of gnome-power-manager.
Please help to review it.

Shih-Yuan Lee (fourdollars) wrote :

However the battery type is still recognized as a laptop battery.
So I made another patch to fix the battery type issue.

Shih-Yuan Lee (fourdollars) wrote :

I made some Debian packages at http://people.canonical.com/~sylee/1153488/ .

The attachment "02-try-to-work-out-if-the-device-is-powering-the-system.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
Changed in upower (Ubuntu):
status: New → Confirmed
Changed in gnome-power-manager (Ubuntu):
status: Confirmed → Invalid
Shih-Yuan Lee (fourdollars) wrote :

I revised the previous patch to prevent from potential memory leak.

Daniel Manrique (roadmr) on 2013-08-03
Changed in upower (Ubuntu):
importance: Undecided → Low
Martin Pitt (pitti) on 2013-09-03
Changed in upower (Ubuntu):
status: Confirmed → Triaged
Martin Pitt (pitti) on 2013-09-03
summary: - System reads Apple Magic Mouse (BT) as a Battery
+ System reads bluetooth input devices as a Battery

For developing a test case for this it would be really helpful if you could copy&paste the output of this command:

  grep -r . /sys/class/power_supply/*hid*

Thanks!

Shih-Yuan Lee (fourdollars) wrote :

`grep -r . /sys/class/power_supply/*hid*` seems to run forever.
Is there other command that can run sooner?

Martin Pitt (pitti) wrote :

Hm, it should take no time at all, so it seems trying to read a particular attribute triggers a kernel bug. Could you start with

ls -lR /sys/class/power_supply/*hid* ?

hshan (hshan) wrote :

Here's mine; (Problem with my bluetooth keyboard)

ls -lR /sys/class/power_supply/*hid*
lrwxrwxrwx 1 root root 0 Sep 3 06:50 /sys/class/power_supply/hid-00:1f:20:38:cc:30-battery -> ../../devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.5/2-1.5:1.0/bluetooth/hci0/hci0:11/0005:046D:B309.0004/power_supply/hid-00:1f:20:38:cc:30-battery

grep -r . /sys/class/power_supply/*hid*
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/type:Battery
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/power/control:auto
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/power/runtime_active_time:0
grep: /sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/power/autosuspend_delay_ms: Input/output error
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/power/runtime_status:unsupported
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/power/runtime_suspended_time:0
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/scope:Device
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/capacity:31
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/online:1
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/status:Discharging
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/uevent:POWER_SUPPLY_NAME=hid-00:1f:20:38:cc:30-battery
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/uevent:POWER_SUPPLY_PRESENT=1
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/uevent:POWER_SUPPLY_ONLINE=1
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/uevent:POWER_SUPPLY_CAPACITY=31
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/uevent:POWER_SUPPLY_MODEL_NAME=Logitech diNovo Edge
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/uevent:POWER_SUPPLY_STATUS=Discharging
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/uevent:POWER_SUPPLY_SCOPE=Device
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/model_name:Logitech diNovo Edge
/sys/class/power_supply/hid-00:1f:20:38:cc:30-battery/present:1

Shih-Yuan Lee (fourdollars) wrote :

ls -lR /sys/class/power_supply/*hid*
lrwxrwxrwx 1 root root 0 Sep 4 13:32 /sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery -> ../../devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/bluetooth/hci0/hci0:11/0005:05AC:0239.0003/power_supply/hid-10:9A:DD:96:DA:0D-battery
lrwxrwxrwx 1 root root 0 Sep 4 13:32 /sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery -> ../../devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/bluetooth/hci0/hci0:13/0005:05AC:030D.0004/power_supply/hid-28:CF:DA:BB:74:1B-battery

Shih-Yuan Lee (fourdollars) wrote :
Download full text (3.4 KiB)

$ ls -lR /sys/class/power_supply/../../devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/bluetooth/hci0/hci0:11/0005:05AC:0239.0003/power_supply/hid-10:9A:DD:96:DA:0D-battery
/sys/class/power_supply/../../devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/bluetooth/hci0/hci0:11/0005:05AC:0239.0003/power_supply/hid-10:9A:DD:96:DA:0D-battery:
total 0
-r--r--r-- 1 root root 4096 Sep 4 13:38 capacity
lrwxrwxrwx 1 root root 0 Sep 4 13:32 device -> ../../../0005:05AC:0239.0003
-r--r--r-- 1 root root 4096 Sep 4 13:38 model_name
-r--r--r-- 1 root root 4096 Sep 4 13:38 online
drwxr-xr-x 2 root root 0 Sep 4 13:32 power
lrwxrwxrwx 1 root root 0 Sep 4 13:38 powers -> ../../../0005:05AC:0239.0003
-r--r--r-- 1 root root 4096 Sep 4 13:38 present
-r--r--r-- 1 root root 4096 Sep 4 13:32 scope
-r--r--r-- 1 root root 4096 Sep 4 13:38 status
lrwxrwxrwx 1 root root 0 Sep 4 13:38 subsystem -> ../../../../../../../../../../../../class/power_supply
-r--r--r-- 1 root root 4096 Sep 4 13:32 type
-rw-r--r-- 1 root root 4096 Sep 4 13:38 uevent

/sys/class/power_supply/../../devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/bluetooth/hci0/hci0:11/0005:05AC:0239.0003/power_supply/hid-10:9A:DD:96:DA:0D-battery/power:
total 0
-rw-r--r-- 1 root root 4096 Sep 4 13:32 async
-rw-r--r-- 1 root root 4096 Sep 4 13:32 autosuspend_delay_ms
-rw-r--r-- 1 root root 4096 Sep 4 13:32 control
-r--r--r-- 1 root root 4096 Sep 4 13:32 runtime_active_kids
-r--r--r-- 1 root root 4096 Sep 4 13:32 runtime_active_time
-r--r--r-- 1 root root 4096 Sep 4 13:32 runtime_enabled
-r--r--r-- 1 root root 4096 Sep 4 13:32 runtime_status
-r--r--r-- 1 root root 4096 Sep 4 13:32 runtime_suspended_time
-r--r--r-- 1 root root 4096 Sep 4 13:32 runtime_usage

$ ls -lR /sys/class/power_supply/../../devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/bluetooth/hci0/hci0:13/0005:05AC:030D.0004/power_supply/hid-28:CF:DA:BB:74:1B-battery
/sys/class/power_supply/../../devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/bluetooth/hci0/hci0:13/0005:05AC:030D.0004/power_supply/hid-28:CF:DA:BB:74:1B-battery:
total 0
-r--r--r-- 1 root root 4096 Sep 4 13:32 capacity
lrwxrwxrwx 1 root root 0 Sep 4 13:32 device -> ../../../0005:05AC:030D.0004
-r--r--r-- 1 root root 4096 Sep 4 13:38 model_name
-r--r--r-- 1 root root 4096 Sep 4 13:38 online
drwxr-xr-x 2 root root 0 Sep 4 13:32 power
lrwxrwxrwx 1 root root 0 Sep 4 13:38 powers -> ../../../0005:05AC:030D.0004
-r--r--r-- 1 root root 4096 Sep 4 13:38 present
-r--r--r-- 1 root root 4096 Sep 4 13:32 scope
-r--r--r-- 1 root root 4096 Sep 4 13:38 status
lrwxrwxrwx 1 root root 0 Sep 4 13:32 subsystem -> ../../../../../../../../../../../../class/power_supply
-r--r--r-- 1 root root 4096 Sep 4 13:32 type
-rw-r--r-- 1 root root 4096 Sep 4 13:38 uevent

/sys/class/power_supply/../../devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1:1.0/bluetooth/hci0/hci0:13/0005:05AC:030D.0004/power_supply/hid-28:CF:DA:BB:74:1B-battery/power:
total 0
-rw-r--r-- 1 root root 4096 Sep 4 13:32 async
-rw-r--r-- 1 root root 4096 Sep 4 13:32 autosuspend_delay_ms
-rw-r--r-- 1 root root 4096 Sep 4 13:32 control
-r--r--r-- 1 root root 4096 Sep 4 13:32 runtime_active_kids
-r...

Read more...

Shih-Yuan Lee (fourdollars) wrote :

@pitti,

I can run `grep -r . /sys/class/power_supply/*hid*` in Ubuntu 13.04 without any problem.
But when I run it in Ubuntu 12.04, it shows some messages like "grep: warning: ...: recursive directory loop".

It seems to be another bug of grep in Ubuntu 12.04. :P

Shih-Yuan Lee (fourdollars) wrote :
Download full text (3.2 KiB)

$ grep -r . /sys/class/power_supply/*hid*
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/type:Battery
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/power/control:auto
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/power/async:disabled
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/power/runtime_enabled:disabled
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/power/runtime_active_kids:0
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/power/runtime_active_time:0
grep: /sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/power/autosuspend_delay_ms: Input/output error
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/power/runtime_status:unsupported
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/power/runtime_usage:0
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/power/runtime_suspended_time:0
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/scope:Device
grep: /sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/capacity: Input/output error
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/online:1
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/status:Discharging
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/model_name:“$4”的鍵盤
/sys/class/power_supply/hid-10:9A:DD:96:DA:0D-battery/present:1
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/type:Battery
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/power/control:auto
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/power/async:disabled
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/power/runtime_enabled:disabled
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/power/runtime_active_kids:0
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/power/runtime_active_time:0
grep: /sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/power/autosuspend_delay_ms: Input/output error
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/power/runtime_status:unsupported
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/power/runtime_usage:0
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/power/runtime_suspended_time:0
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/scope:Device
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/capacity:61
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/online:1
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/status:Discharging
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/uevent:POWER_SUPPLY_NAME=hid-28:CF:DA:BB:74:1B-battery
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/uevent:POWER_SUPPLY_PRESENT=1
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/uevent:POWER_SUPPLY_ONLINE=1
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/uevent:POWER_SUPPLY_CAPACITY=61
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/uevent:POWER_SUPPLY_MODEL_NAME=“$4”的滑鼠
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/uevent:POWER_SUPPLY_STATUS=Discharging
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-battery/uevent:POWER_SUPPLY_SCOPE=Device
/sys/class/power_supply/hid-28:CF:DA:BB:74:1B-batt...

Read more...

Martin Pitt (pitti) on 2013-09-04
summary: - System reads bluetooth input devices as a Battery
+ System reads bluetooth input device batteries as system power supply
summary: - System reads bluetooth input device batteries as system power supply
+ Treats bluetooth input device batteries as system power supply

Thanks Lee and hshan!

It turns out that to test Lee's patch I need information about the parent devices as well, which should be keyboard/mouse input devices. Can you please do

  for f in /sys/class/power_supply/*; do t=`readlink -f $f`; echo "=== $f -> $t ==="; grep -r . `dirname $t`; done > /tmp/out.txt

and attach /tmp/out.txt here?

Thanks!

Martin Pitt (pitti) wrote :

Sorr, this command might not even be enough; please rather do

  ls -lR /sys/class/power_supply/*hid* > /tmp/out.txt
  udevadm info --export-db >> /tmp/out.txt
  grep -r . /sys/class/power_supply /sys/class/bluetooth/ >> /tmp/out.txt

and attach /tmp/out.txt after that. Thanks!

Shih-Yuan Lee (fourdollars) wrote :

export LC_ALL=C
ls -lR /sys/class/power_supply/* > /tmp/out.txt 2>&1
echo >> /tmp/out.txt
ls -lR /sys/class/bluetooth/* >> /tmp/out.txt 2>&1
echo >> /tmp/out.txt
udevadm info --export-db >> /tmp/out.txt 2>&1
echo >> /tmp/out.txt
grep -r . /sys/class/power_supply/* /sys/class/bluetooth/* >> /tmp/out.txt 2>&1

  • out.txt Edit (144.0 KiB, text/plain; charset=US-ASCII; name="out.txt")

Thanks Martin for looking into this. we must be a great minority!?

On Wed, Sep 4, 2013 at 9:27 AM, Shih-Yuan Lee <email address hidden>wrote:

> export LC_ALL=C
> ls -lR /sys/class/power_supply/* > /tmp/out.txt 2>&1
> echo >> /tmp/out.txt
> ls -lR /sys/class/bluetooth/* >> /tmp/out.txt 2>&1
> echo >> /tmp/out.txt
> udevadm info --export-db >> /tmp/out.txt 2>&1
> echo >> /tmp/out.txt
> grep -r . /sys/class/power_supply/* /sys/class/bluetooth/* >> /tmp/out.txt
> 2>&1
>
>
> ** Attachment added: "out.txt"
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/1153488/+attachment/3802450/+files/out.txt
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1153488
>
> Title:
> Treats bluetooth input device batteries as system power supply
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/1153488/+subscriptions
>

Martin Pitt (pitti) wrote :

Many thanks for these dumps! From these I could create an emulated mouse/keyboard in the test suite and reproduce the bug:

  http://cgit.freedesktop.org/upower/commit/?id=09d41eb7

I committed Lee's fix (which makes these new tests succeed) with a few minor adjustments:

  http://cgit.freedesktop.org/upower/commit/?id=5c0a57c

Thanks Lee!

summary: - Treats bluetooth input device batteries as system power supply
+ Treats bluetooth input device batteries as batteries
Changed in upower (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
status: Triaged → Fix Committed
Martin Pitt (pitti) wrote :

Typo in changelog:

upower (0.9.21-3ubuntu1) saucy; urgency=low

  * Update 00git_updates.patch to today's upstream git:
    - Rework of hidpp detection to determine correct charge values for
      Logitech wireless keyboards/mouse (LP: #1103064)
    - Detect bluetooth mouse/keyboard batteries as such, instead of as system
      batteries. (LP: #115348)

 -- Martin Pitt <email address hidden> Fri, 06 Sep 2013 15:19:05 +0200

Changed in upower (Ubuntu):
status: Fix Committed → Fix Released
Shih-Yuan Lee (fourdollars) wrote :

Hi,

This bug is reported against Ubuntu 12.04.
Could we also apply this patch on Ubuntu 12.04? (Maybe on 12.10 and 13.04 too?)

Ralph Meijer (ralphmeijer) wrote :

Agreeing with fourdollars. There have been a number of similar bug reports about this behavior, including https://bugs.launchpad.net/indicator-power/+bug/1195840.

Changed in gnome-power-manager (Ubuntu Precise):
status: New → Invalid
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Changed in gnome-power-manager (Ubuntu Quantal):
status: New → Invalid
Changed in gnome-power-manager (Ubuntu Raring):
status: New → Invalid
Changed in upower (Ubuntu Precise):
status: New → Confirmed
Changed in upower (Ubuntu Quantal):
status: New → Confirmed
Changed in upower (Ubuntu Raring):
status: New → Confirmed
Marc Deslauriers (mdeslaur) wrote :

ACK on the precise and raring merge proposals. Look good.

I've uploaded packages for processing by the SRU team with a few minor changes:
1- Removed -proposed from changelog (no longer necessary)
2- Used ubuntu0.1 instead of ubuntu1 for versioning so we don't collide
3- Changed the patch tags to adhere to DEP-3 more

Thanks!

Hello Jeff, or anyone else affected,

Accepted upower into raring-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/upower/0.9.20-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in upower (Ubuntu Raring):
status: Confirmed → Fix Committed
tags: added: verification-needed
Stéphane Graber (stgraber) wrote :

Hello Jeff, or anyone else affected,

Accepted upower into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/upower/0.9.15-3git1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in upower (Ubuntu Precise):
status: Confirmed → Fix Committed
Tobias Wolter (towo) wrote :

FWIW, not fixed in the staging ppa.

Ralph Meijer (ralphmeijer) wrote :

Version 0.9.20-1ubuntu0.1 on raring fixed the problem for me. My Logitech Ultrathin Touch Mouse now shows up as a mouse instead of a laptop battery.

Cees (cakoolen) wrote :

Version 0.9.15-3git1ubuntu0.1 on precise fixed the problem for me. My apple wireless mouse now reads as a mouse in stead of a laptop battery.

tags: added: quantal raring
Shih-Yuan Lee (fourdollars) wrote :

I have tested upower 0.9.15-3git1ubuntu0.1 on precise with linux kernel 3.2 and 3.5, and they both work fine.
I have tested upower 0.9.20-1ubuntu0.1 on raring with linux kernel 3.8 and it works fine.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upower - 0.9.20-1ubuntu0.1

---------------
upower (0.9.20-1ubuntu0.1) raring; urgency=low

  * debian/patches/01-detect-bluetooth-keyboard-mouse.patch: Detect Bluetooth
    keyboard and mouse. (LP: #1153488)
  * debian/patches/02-allow-valid-UTF-8-encoded-string.patch: Allow valid
    UTF-8 encoded string. (LP: #1237329)
  * debian/patches/03-set-locale-in-daemon-and-tool.patch: Set locale in
    daemon and tool. (LP: #1237329)
 -- Shih-Yuan Lee (FourDollars) <email address hidden> Fri, 11 Oct 2013 14:56:01 +0800

Changed in upower (Ubuntu Raring):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upower - 0.9.15-3git1ubuntu0.1

---------------
upower (0.9.15-3git1ubuntu0.1) precise; urgency=low

  * debian/patches/02-try-to-work-out-if-the-device-is-powering-the-
    system.patch: Try to work out if the device is powering the system.
    (LP: #1153488)
  * debian/patches/03-detect-bluetooth-keyboard-mouse.patch: Detect Bluetooth
    keyboard and mouse. (LP: #1153488)
  * debian/patches/04-allow-valid-UTF-8-encoded-string.patch: Allow valid
    UTF-8 encoded string. (LP: #1237329)
  * debian/patches/05-set-locale-in-daemon-and-tool.patch: Set locale in
    daemon and tool. (LP: #1237329)
 -- Shih-Yuan Lee (FourDollars) <email address hidden> Tue, 08 Oct 2013 16:02:55 +0800

Changed in upower (Ubuntu Precise):
status: Fix Committed → Fix Released
Eduard (e-valchukovski) wrote :

I'm still affected to this problem.

Have bluetooth 3.0 macro keyboard

System ubuntu 12.04 LTS

Shih-Yuan Lee (fourdollars) wrote :

@Eduard (e-valchukovski) :
Would you mind to open another bug and provide more information of your bluetooth device?

Jochen Fahrner (jofa) wrote :

Is this bug about showing a wrong icon or showing the mouse battery at all?

IMHO a mouse battery should not be shown at all. My Logitech wireless mouse has a non-chargable battery (primary cell) which runs a year (or longer) with the same battery. Its absolutely useless to show its status in favour of the laptop battery. My main concern is the laptop battery, not the mouse battery, and I wish to see laptop battery status all the time!

This problem still exists in 14.04.

Shih-Yuan Lee (fourdollars) wrote :

@jofa,

This issue is about showing a wrong icon.
It is only about the identification of system or device batteries in UPower.
Please search other bugs or report a new bug for your problem.

BTW, Logitech wireless mouse seems to have some specific protocol to detect the battery remaining power information in Logitech wireless mouse. Even a non-chargeable battery has its remaining power information.

LeeMinWoo (misari) wrote :

My bluetooth keyboard and mouse power is 0% after updating kernel.
These are normal until updating kernel from kernel version 3.13.0-24.

My environment is below and attach some information about power indicating.

- Ubuntu 14.04 LTS
- Linux 3.13.0-29-generic #53-Ubuntu SMP Wed Jun 4 21:00:20 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Adnan (adnan-rauff) wrote :

still present in trusty when using logitech wiresless mouse. surprisingly a4tech mouse does not display as icon on launcher. can some one suggest a fix?

Andrew Gee (ahg-e) wrote :

Same problem as in #43 above - bluetooth device showing 0% battery in all Trusty kernels since 3.13.0-24, which was the last one to work.

Leandro Heck (leoheck) wrote :

I have the same problem with an apple keyboard

#> uname -a
Linux saturn 3.13.0-39-generic #66-Ubuntu SMP Tue Oct 28 13:30:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

#> lsb_release
Distributor ID: Ubuntu
Description: Ubuntu 14.04.1 LTS
Release: 14.04
Codename: trusty

Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in upower (Ubuntu Quantal):
status: Confirmed → Won't Fix
Amit Keret (amitkeret-i) wrote :

Update:
Yesterday I just updated kernel to 3.13.0.41.48
After restart, the mouse (Apple Magic Mouse) pairs and shows correct battery percentage :)

Linux 3.13.0-41-generic x86_64 GNU/Linux
Ubuntu 14.04.1 LTS

redman (patrick-libert) wrote :

Logitech Ultra Thin Mouse
Ubuntu 14.10 Upower 0.9.23-2Ubuntu2

On a Desktop computer WIHTOUT a system battery it 's still shows the wrong battery icon!!!!!

On my Laptop WITH a system battery when the laptop is fully charged and connected to power it shows the mouse icon.

So on the laptop it shows the correct icons but on a desktop pc without a system battery it shows the wrong icon...

Thanks

redman (patrick-libert) wrote :

I don't know if Shih-Yuan Lee (fourdollars) his patch is used but there is clearly a bug in the code!!

If you get to see at the following lines:

    if (g_ascii_strcasecmp (device_type, "mains") == 0) {
            type = UP_DEVICE_KIND_LINE_POWER;
           } else if (g_ascii_strcasecmp (device_type, "battery") == 0) {
            type = UP_DEVICE_KIND_BATTERY;
       /* Detect if the battery comes from bluetooth keyboard or mouse. */
           if (g_strstr_len (native_path, -1, "bluetooth") != NULL) {

The code should be changed so it should also look for a bluetooth mouse when "type = UP_DEVICE_KIND_LINE_POWER;"
So when you use a desktop pc without battery but with a bluetooth mouse so it shows the correct icon.

I'm not really a programmer but could you check it?

Thanks

Shih-Yuan Lee (fourdollars) wrote :

Could you provide the output of `sudo find /sys -name battery`?

redman (patrick-libert) wrote :

Sorry for my late reply.

[sudo] password for redman:
/sys/bus/acpi/drivers/battery
/sys/module/battery

thanks

Is it not reconizing the Logitech Ultra thin Mouse correctly?

Shih-Yuan Lee (fourdollars) wrote :

Could you provide the output of `upower --dump`?

redman (patrick-libert) wrote :

redman@redman-System-Product-Name:~$ upower --dump
Device: /org/freedesktop/UPower/devices/mouse_0003o046DoC52Fx0002
  native-path: /sys/devices/pci0000:00/0000:00:1d.2/usb8/8-1/8-1:1.1/0003:046D:C52F.0002
  vendor: Logitech, Inc.
  model: M185/M225
  serial: 0320E001
  power supply: no
  updated: Die 03 Feb 2015 17:59:47 CET (43 seconds ago)
  has history: yes
  has statistics: no
  mouse
    present: no
    rechargeable: yes
    state: unknown
    percentage: 0%
  History (charge):
    1422982787 0,000 unknown
  History (rate):
    1422982787 0,000 unknown

Device: /org/freedesktop/UPower/devices/battery_hid_00o1fo20oe8o86o37_battery
  native-path: hid-00:1f:20:e8:86:37-battery
  model: Ultrathin Touch Mouse
  power supply: no
  updated: Die 03 Feb 2015 18:00:03 CET (27 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: discharging
    energy: 0 Wh
    energy-empty: 0 Wh
    energy-full: 0 Wh
    energy-full-design: 0 Wh
    energy-rate: 0 W
    percentage: 47%
    capacity: 100%
  History (charge):
    1422982798 47,000 discharging
    1422982798 0,000 unknown
  History (rate):
    1422982798 0,000 unknown

Daemon:
  daemon-version: 0.9.23
  can-suspend: yes
  can-hibernate: no
  on-battery: no
  on-low-battery: no
  lid-is-closed: no
  lid-is-present: no
  is-docked: no
redman@redman-System-Product-Name:~$

Shih-Yuan Lee (fourdollars) wrote :

@redman,
My previous patch at comment #51 is mainly for bluetooth.
It is unrelated to your native-path: /sys/devices/pci0000:00/0000:00:1d.2/usb8/8-1/8-1:1.1/0003:046D:C52F.0002.
Could you attach a screenshot for your icon?

MS (ms3811) wrote :

I just performed a apt-get upgrade this afternoon and started seeing this issue with my Logitech K810 Bluetooth keyboard and Dell XPS 13 laptop. Pretty sure it wasn't there before. The laptop now shows the keyboard battery in the top panel. When I click on the battery icon, I can see two batteries listed, the first one is the keyboard battery which is the actively displayed in the top panel, the second the laptop's battery.

See attached screenshot, the keyboard battery is identified as a laptop battery.

Output of upower --dump:

Device: /org/freedesktop/UPower/devices/line_power_ADP0
  native-path: ADP0
  power supply: yes
  updated: Wed 04 Feb 2015 05:02:21 PM EST (1061 seconds ago)
  has history: no
  has statistics: no
  line-power
    online: yes

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path: BAT0
  vendor: SIMPLO
  model: Dell
  serial: 1198
  power supply: yes
  updated: Wed 04 Feb 2015 05:19:40 PM EST (22 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: charging
    energy: 45.9762 Wh
    energy-empty: 0 Wh
    energy-full: 47.767 Wh
    energy-full-design: 55.944 Wh
    energy-rate: 4.5436 W
    voltage: 8.479 V
    time to full: 23.6 minutes
    percentage: 96%
    capacity: 85.3836%
    technology: lithium-ion
  History (charge):
    1423088290 96.000 charging
  History (rate):
    1423088380 4.544 charging
    1423088350 4.640 charging
    1423088320 4.714 charging
    1423088290 4.817 charging

Device: /org/freedesktop/UPower/devices/battery_hid_00o1fo20oa8o3ao50_battery
  native-path: hid-00:1f:20:a8:3a:50-battery
  model: Logitech K810
  power supply: no
  updated: Wed 04 Feb 2015 05:19:47 PM EST (15 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: discharging
    energy: 0 Wh
    energy-empty: 0 Wh
    energy-full: 0 Wh
    energy-full-design: 0 Wh
    energy-rate: 0 W
    percentage: 80%
    capacity: 100%

Daemon:
  daemon-version: 0.9.23
  can-suspend: yes
  can-hibernate: no
  on-battery: no
  on-low-battery: no
  lid-is-closed: no
  lid-is-present: yes
  is-docked: yes

MS (ms3811) wrote :

Sorry, forgot to mention, I'm running 14.10. uname -r outputs 3.16.0-29-generic.

redman (patrick-libert) wrote :

@Shih-Yuan Lee
Is your patch included in Ubuntu 14.10?

Because I did not install it manually....

Screenshot attached

Shih-Yuan Lee (fourdollars) wrote :

@redman,

My patch has been included in the upstream, and it is also in the Ubuntu 14.10.
It is also modified by other developers, so it has been a little different from the one I made in Ubuntu 12.04.
I think the problem is that some rule is changed in UPower, but the mechanism to detect Bluetooth input devices doesn't change accordingly.
So it failed.

redfox7691 (claudio-bizzarri) wrote :

I just performed an upgrade to Uuntu 15.04 and started seeing this issue with my bluetooth mouse "HP Touch To Pair Mouse" and my HP 850G1 laptop: moreover battery level is too low . Here is output of upower --dump

Device: /org/freedesktop/UPower/devices/line_power_AC
  native-path: AC
  power supply: yes
  updated: mar 26 mag 2015 11:55:11 CEST (2849 seconds ago)
  has history: no
  has statistics: no
  line-power
    warning-level: none
    online: yes
    icon-name: 'ac-adapter-symbolic'

Device: /org/freedesktop/UPower/devices/battery_BAT0
  native-path: BAT0
  vendor: Hewlett-Packard
  model: Primary
  serial: 00585 2014/03/10
  power supply: yes
  updated: mar 26 mag 2015 12:42:32 CEST (8 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: fully-charged
    warning-level: none
    energy: 124,18 Wh
    energy-empty: 0 Wh
    energy-full: 124,18 Wh
    energy-full-design: 124,18 Wh
    energy-rate: 0 W
    voltage: 12,774 V
    percentage: 100%
    capacity: 100%
    technology: lithium-ion
    icon-name: 'battery-full-charged-symbolic'

Device: /org/freedesktop/UPower/devices/battery_hid_00o02o76o4fo9bocb_battery
  native-path: hid-00:02:76:4f:9b:cb-battery
  model: HP Touch to Pair Mouse
  power supply: no
  updated: mar 26 mag 2015 12:42:24 CEST (16 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: discharging
    warning-level: action
    energy: 0 Wh
    energy-empty: 0 Wh
    energy-full: 0 Wh
    energy-full-design: 0 Wh
    energy-rate: 0 W
    percentage: 0%
    capacity: 100% icon-name: 'battery-caution-symbolic'

Device: /org/freedesktop/UPower/devices/DisplayDevice
  power supply: yes
  updated: mar 26 mag 2015 11:17:55 CEST (5085 seconds ago)
  has history: no
  has statistics: no
  battery
    present: yes
    state: fully-charged
    warning-level: none
    energy: 124,18 Wh
    energy-full: 124,18 Wh
    energy-rate: 0 W
    percentage: 100%
    icon-name: 'battery-full-charged-symbolic'

Daemon:
  daemon-version: 0.99.2
  on-battery: no
  lid-is-closed: no
  lid-is-present: yes
  critical-action: HybridSleep

redfox7691 (claudio-bizzarri) wrote :

On syslog I read:
May 28 09:46:20 hp850ssd upowerd[1052]: (upowerd:1052): UPower-Linux-WARNING **: no valid voltage value found for device /sys/devices/pci0000:00/0000:00:14.0/usb1/1-3/1-3.2/1-3.2:1.0/bluetooth/hci0/hci0:11/0005:03F0:044C.0001/power_supply/hid-00:02:76:4f:9b:cb-battery, assuming 10V

but my mouse have two AA batteries, so 2.8V max

b0@hp850ssd:~$ sudo grep -r . /sys/class/power_supply/*hid*
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/type:Battery
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/control:auto
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/async:disabled
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/wakeup_abort_count:0
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/wakeup_active:0
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/wakeup_total_time_ms:3
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/wakeup_active_count:1
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/runtime_enabled:disabled
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/runtime_active_kids:0
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/runtime_active_time:0
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/wakeup_max_time_ms:3
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/wakeup_count:1
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/wakeup_last_time_ms:7182083
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/wakeup:enabled
grep: /sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/autosuspend_delay_ms: Errore di input/output
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/runtime_status:unsupported
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/runtime_usage:0
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/wakeup_expire_count:0
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/power/runtime_suspended_time:0
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/scope:Device
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/capacity:0
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/online:1
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/status:Discharging
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/uevent:POWER_SUPPLY_NAME=hid-00:02:76:4f:9b:cb-battery
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/uevent:POWER_SUPPLY_PRESENT=1
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/uevent:POWER_SUPPLY_ONLINE=1
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/uevent:POWER_SUPPLY_CAPACITY=0
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/uevent:POWER_SUPPLY_MODEL_NAME=HP Touch to Pair Mouse
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/uevent:POWER_SUPPLY_STATUS=Discharging
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/uevent:POWER_SUPPLY_SCOPE=Device
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/model_name:HP Touch to Pair Mouse
/sys/class/power_supply/hid-00:02:76:4f:9b:cb-battery/present:1

Leon (leon.c) wrote :
Download full text (5.6 KiB)

Same/similar issue here on 15.04 with a Mad Catz Mouse and a laptop. The icon in the notification bar averages both the mouse and the laptop batteries in order to show one (1) laptop battery value.

If I open the Power Statistics screen, both batteries are listed as laptop batteries.

$ uname -a
Linux sidamo 3.19.0-21-generic #21-Ubuntu SMP Sun Jun 14 18:31:11 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

$ upower --dump
Device: /org/freedesktop/UPower/devices/line_power_ACAD
  native-path: ACAD
  power supply: yes
  updated: di 23 jun 2015 16:30:49 CEST (1061 seconds ago)
  has history: no
  has statistics: no
  line-power
    warning-level: none
    online: yes
    icon-name: 'ac-adapter-symbolic'

Device: /org/freedesktop/UPower/devices/battery_BAT1
  native-path: BAT1
  vendor: SONY Corp.
  model: VGP-BPS41
  serial: 569
  power supply: yes
  updated: di 23 jun 2015 16:46:49 CEST (101 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: charging
    warning-level: none
    energy: 4,34 Wh
    energy-empty: 0 Wh
    energy-full: 36,23 Wh
    energy-full-design: 36,23 Wh
    energy-rate: 16,07 W
    voltage: 3,619 V
    time to full: 2,0 hours
    percentage: 11%
    capacity: 100%
    technology: lithium-ion
    icon-name: 'battery-low-charging-symbolic'
  History (charge):
    1435070809 11,000 charging
  History (rate):
    1435070809 16,070 charging

Device: /org/freedesktop/UPower/devices/battery_hid_00o15o9eof8o18o0a_battery
  native-path: hid-00:15:9e:f8:18:0a-battery
  model: Mad Catz Office R.A.T.M
  power supply: no
  updated: di 23 jun 2015 16:48:13 CEST (17 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: discharging
    warning-level: low
    energy: 0 Wh
    energy-empty: 0 Wh
    energy-full: 0 Wh
    energy-full-design: 0 Wh
    energy-rate: 0 W
    percentage: 9%
    capacity: 100%
    icon-name: 'battery-caution-symbolic'

Device: /org/freedesktop/UPower/devices/DisplayDevice
  power supply: yes
  updated: di 23 jun 2015 16:46:49 CEST (101 seconds ago)
  has history: no
  has statistics: no
  battery
    present: yes
    state: charging
    warning-level: none
    energy: 4,34 Wh
    energy-full: 36,23 Wh
    energy-rate: 16,07 W
    time to full: 2,0 hours
    percentage: 11%
    icon-name: 'battery-low-charging-symbolic'

Daemon:
  daemon-version: 0.99.2
  on-battery: no
  lid-is-closed: yes
  lid-is-present: yes
  critical-action: PowerOff

$ sudo grep -r . /sys/class/power_supply/*hid*
/sys/class/power_supply/hid-00:15:9e...

Read more...

Antonio Rosales (arosales) wrote :

I am also seeing this on Ubuntu 15.10 with a ThinkPad Wireless Bluetooth Keyboard. Specifically, my ThinkPad keyboard is being detected as a system battery. This is concerning as the system is a Desktop with no battery. Since the wireless keyboard is being detected as a keyboard Power Manager is set to shut the system down when my wireless keyboard power gets low.

$ upower --dump
Device: /org/freedesktop/UPower/devices/battery_hid_90o7fo61o2co10of4_battery
  native-path: hid-90:7f:61:2c:10:f4-battery
  model: ThinkPad Compact Bluetooth Keyboard with TrackPoint
  power supply: no
  updated: Mon 13 Jul 2015 01:43:11 AM MDT (14 seconds ago)
  has history: yes
  has statistics: yes
  battery
    present: yes
    rechargeable: yes
    state: discharging
    warning-level: none
    energy: 0 Wh
    energy-empty: 0 Wh
    energy-full: 0 Wh
    energy-full-design: 0 Wh
    energy-rate: 0 W
    percentage: 61%$ upower --dump
Device: /org/freedesktop/UPower/devices/battery_hid_90o7fo61o2co10of4_battery
  native-path: hid-90:7f:61:2c:10:f4-battery
  model: ThinkPad Compact Bluetooth Keyboard with TrackPoint
  power supply: no
  updated: Mon 13 Jul 2015 01:43:11 AM MDT (14 seconds ago)
  has history: yes
  has statistics: yes
  battery887
    present: yes
    rechargeable: yes
    state: discharging
    warning-level: none
    energy: 0 Wh
    energy-empty: 0 Wh
    energy-full: 0 Wh
    energy-full-design: 0 Wh
    energy-rate: 0 W
    percentage: 61%
    capacity: 100%
    icon-name: 'battery-full-symbolic'

Device: /org/freedesktop/UPower/devices/DisplayDevice
  power supply: no
  updated: Mon 13 Jul 2015 01:29:43 AM MDT (822 seconds ago)
  has history: no
  has statistics: no
  unknown
    warning-level: none
    icon-name: ''

Daemon:
  daemon-version: 0.99.2
  on-battery: no
  lid-is-closed: no
  lid-is-present: no
  critical-action: HybridSleep

    capacity: 100%
    icon-name: 'battery-full-symbolic'

Device: /org/freedesktop/UPower/devices/DisplayDevice
  power supply: no
  updated: Mon 13 Jul 2015 01:29:43 AM MDT (822 seconds ago)
  has history: no
  has statistics: no
  unknown
    warning-level: none
    icon-name: ''

Daemon:
  daemon-version: 0.99.2
  on-battery: no
  lid-is-closed: no
  lid-is-present: no
  critical-action: HybridSleep

$ uname -r
3.19.0-22-generic

Antonio Rosales (arosales) wrote :

re: comment 64, correction. I meant to state I am running 15.04. I am currently seeing if purging upower will work around the system shutting down if keyboard batter power is low.

darkMatter (broham) wrote :

I'm getting this error on Mint 17.2 w/kernel 3.19.0-26 too. My bluetooth mouse seems to be fine (no battery registering), but my keyboard is showing as a 2nd laptop battery. It keeps disconnecting my keyboard so I have to press a button to wake it back up. Guessing it may be putting it to sleep because of an idle setting somewhere?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions